Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class PolicyActionContext

    java.lang.Object
      oracle.ifs.server.PolicyActionContext

All Implemented Interfaces:
  java.lang.Comparable

    public class PolicyActionContext

extends java.lang.Object
implements java.lang.Comparable

PolicyActionContext is a structure that encapsulates the context in which a particular PolicyAction executes.

The context consists of key attributes from a PolicyListElement that references the PolicyAction, the containing PolicyList, and how that PolicyList became associated with a target object.

Note: this class has a natural ordering that is inconsistent with equals.

(Unpublished)

Field Summary
`static int` | `SUBSORTSEQUENCE_CLASSPOLICYLIST` The PolicyAction was introduced by the ClassPolicyList of the target object's classobject.
`static int` | `SUBSORTSEQUENCE_POLICYLIST` The PolicyAction was introduced by the PolicyList of the target object.

Constructor Summary
`protected` | `PolicyActionContext(S_PolicyListElement ple)` Constructs a PolicyActionContext from a PolicyListElement.
`` | `PolicyActionContext(java.lang.String operation, java.lang.String policyAction, int executionMode, java.lang.String[] filters, long sortSequence, int subsortSequence)` Constructs a PolicyActionContext in bootstrap mode.

Method Summary
`int` | `compareTo(java.lang.Object pac)` Determines the order of this PolicyActionContext with respect to another.
`protected static PolicyAction` | `constructPolicyAction(java.lang.String className)` Constructs a PolicyAction specified by fully-qualified classname.
`int` | `getExecutionMode()` Gets the execution mode.
`java.lang.String[]` | `getFilters()` Gets the input filters.
`java.lang.String` | `getOperation()` Gets the operation.
`java.lang.String` | `getPolicyAction()` Gets the fully-qualified classname of the PolicyAction.
`protected static PolicyAction` | `getPolicyAction(S_LibrarySession session, java.lang.String className)` Finds or Constructs a PolicyAction specified by fully-qualified classname.
`PolicyListElementInterface` | `getPolicyListElement(LibrarySessionInterface session)` Gets the PolicyListElement.
`long` | `getSortSequence()` Gets the sort sequence.
`int` | `getSubSortSequence()` Gets the sub-sort sequence.
`void` | `setSubSortSequence(int subSortSequence)` Sets the sub-sort sequence.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUBSORTSEQUENCE_POLICYLIST

    public static int SUBSORTSEQUENCE_POLICYLIST

  Description copied from class: `PolicyActionContext`
  The PolicyAction was introduced by the PolicyList of the target object.

  (Unpublished)

### SUBSORTSEQUENCE_CLASSPOLICYLIST

    public static int SUBSORTSEQUENCE_CLASSPOLICYLIST

  Description copied from class: `PolicyActionContext`
  The PolicyAction was introduced by the ClassPolicyList of the target object's classobject. SUBSORTSEQUENCE_CLASSOBJECT + 1 indicates the immediate super-classobject, SUBSORTSEQUENCE_CLASSOBJECT + 2 is the super-super-classobject, etc.

  (Unpublished)

Constructor Detail

### PolicyActionContext

    protected PolicyActionContext(S_PolicyListElement ple)
                           throws IfsException

  Constructs a PolicyActionContext from a PolicyListElement.

  Parameters:
    `ple` - the PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### PolicyActionContext

    public PolicyActionContext(java.lang.String operation,
                               java.lang.String policyAction,
                               int executionMode,
                               java.lang.String[] filters,
                               long sortSequence,
                               int subsortSequence)
                        throws IfsException

  Constructs a PolicyActionContext in bootstrap mode. In bootstrap mode, the PolicyListElement classobject dow not yet exist. This constructor is used to explicitly specifiy the elements of the PolicyActionContext. This is currently only called from oracle.ifs.admin.tools.policy.PolicyManager.

  Parameters:
    `operation` - operation name
    `policyAction` - fully qualified class name of the PolicyAction
    `executionMode` - execution mode
    `filters` - execution filters
    `sortSequence` - sort sequence
    `subsortSequence` - subsort sequence
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### getPolicyListElement

    public PolicyListElementInterface getPolicyListElement(LibrarySessionInterface session)
                                                    throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the PolicyListElement.

  Parameters:
    `session` - the session context
  Returns:
    the PolicyListElement
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getOperation

    public java.lang.String getOperation()
                                  throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the operation.

  Returns:
    the operation
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSortSequence

    public long getSortSequence()
                         throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the sort sequence.

  Returns:
    the sort sequence
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSubSortSequence

    public int getSubSortSequence()
                           throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the sub-sort sequence.

  Returns:
    the sub-sort sequence
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getFilters

    public java.lang.String[] getFilters()
                                  throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the input filters.

  Returns:
    the input filters
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExecutionMode

    public int getExecutionMode()
                         throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the execution mode.

  Returns:
    the execution mode
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPolicyAction

    public java.lang.String getPolicyAction()
                                     throws IfsException

  Description copied from class: `PolicyActionContext`
  Gets the fully-qualified classname of the PolicyAction.

  Returns:
    the PolicyAction classname
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### setSubSortSequence

    public void setSubSortSequence(int subSortSequence)
                            throws IfsException

  Description copied from class: `PolicyActionContext`
  Sets the sub-sort sequence.

  Parameters:
    `subSortSequence` - the sub-sort sequence
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getPolicyAction

    protected static PolicyAction getPolicyAction(S_LibrarySession session,
                                                  java.lang.String className)
                                           throws IfsException

  Description copied from class: `PolicyActionContext`
  Finds or Constructs a PolicyAction specified by fully-qualified classname. This first tries to obtain a previously constructed instance from the service (using the session context that is specified), and if not found it will construct an instance and send to the service for caching.

  Parameters:
    `session` - the session context
    `className` - the fully-qualified class name of the PolicyAction
  Returns:
    the PolicyAction
  Throws:
    `IfsException` - (IFS-36033) if the operation fails
  (Unpublished)

### constructPolicyAction

    protected static PolicyAction constructPolicyAction(java.lang.String className)
                                                 throws IfsException

  Description copied from class: `PolicyActionContext`
  Constructs a PolicyAction specified by fully-qualified classname.

  Parameters:
    `className` - the fully-qualified class name of the PolicyAction
  Returns:
    the PolicyAction
  Throws:
    `IfsException` - (IFS-36033) if the operation fails
  (Unpublished)

### compareTo

    public int compareTo(java.lang.Object pac)
                  throws java.lang.ClassCastException

  Description copied from class: `PolicyActionContext`
  Determines the order of this PolicyActionContext with respect to another.

  Note: this class has a natural ordering that is inconsistent with equals.

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `pac` - the PolicyActionContext against which to compare
  Returns:
    a positive integer if this PolicyAction precedes pac; a negative integer if this PolicyAction follows pac
  Throws:
    `java.lang.ClassCastException` - if pac is not a PolicyActionContext
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD